<?php

/*
////////////////////////////////////////////////////
//                  NewsPHP v200                  //
//               http://www.nphp.net/             //
//                                                //
// Installation --------------------------------- //
//   Please see the "readme.txt" file for details //
//   on how to install NewsPHP.                   //
//                                                //
// Introduction --------------------------------- //
//   NewsPHP is a news posting system for web     //
//   sites. It allows for multiple users of       //
//   different access levels to post news onto    //
//   your web site without them knowing any FTP   //
//   information or even having any knowledge in  //
//   HTML. They simply login and type their post! //
//                                                //
// Copyright ------------------------------------ //
//   NewsPHP is copyright (C) 1999-2001           //
//   the newsPHP Development Team and Ben         //
//   O'Neill. All rights reserved. You may not    //
//   redestribute this file without written       //
//   permission from the copyright holders. You   //
//   may not use this script on any web site with //
//   commercial or pornographic content. If you   //
//   wish to use this script on a commercial web  //
//   site you must obtain a registration number   //
//   (these are totally free) from the nPHP site. //
//   If you display banners this does not         //
//   necessarily mean you must obtain a           //
//   registration number.                         //
//                                                //
// Contact Information -------------------------- //
//   For support please only use the forums on    //
//   the web site and the official support email  //
//   address. Support emails to any of the nPHP   //
//   development team will be ignored.            //
//                                                //
//       nPHP Official Support                    //
//        support@nphp.net                        //
//                                                //
//                                   www.nphp.net //
////////////////////////////////////////////////////
*/

/*
// NewsPHP HTML ---------------------------------
//   NewsPHP loads most of it's layout from this
//   file. If you want to customise the look, here
//   is a good place to start!
*/

$nphp_versions["nhtml"] = 200;

// This function is called all the time,
// it contains the heading HTML.

  function HTMLHeader($navibar,$page,$pagedesc)
  {
    global $nphp_config, $nphp_currentuser, $nphp_versions, $nphp_notices;

    echo("<HTML>\n");
    echo("<HEAD>\n");
    echo("<TITLE>" . $nphp_config["SiteName"] . "</TITLE>\n");
    echo("<META NAME=\"GENERATOR\" CONTENT=\"NewsPHP v" . $nphp_versions["nphp"] . " - http://www.nphp.net/\">\n");
    echo("<META NAME=\"ROBOTS\" CONTENT=\"noindex, nofollow\">\n");
    echo("<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=" . $nphp_notices["CharSet"] . "\">\n");
    echo("</HEAD>\n");
    echo("<BODY BGCOLOR=\"#FFFFFF\" TEXT=\"#000000\" LINK=\"#0052AC\" VLINK=\"#0052AC\" ALINK=\"#0052AC\">\n");
    echo("\n\n");
    echo("<CENTER><TABLE WIDTH=\"700\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"#FFFFFF\">\n");
    echo("<TR><TD>\n");
    echo("\n\n");
    echo("<TABLE WIDTH=\"100%\" CELLPADDING=\"2\" CELLSPACING=\"0\" BGCOLOR=\"#000000\">");
    echo("<TR BGCOLOR=\"#000000\"><TD BGCOLOR=\"#000000\">\n");
    echo("  <TABLE WIDTH=\"100%\" CELLPADDING=\"1\" CELLSPACING=\"0\" BGCOLOR=\"#FFFFFF\">\n");
    echo("  <TR BGCOLOR=\"#FFFFFF\"><TD BGCOLOR=\"#FFFFFF\">\n");
    echo("    <TABLE WIDTH=\"100%\" CELLPADDING=\"4\" CELLSPACING=\"1\">\n");
    echo("    <TR>\n");
    echo("    <TD BGCOLOR=\"#F7F7F7\">\n");
    echo("      <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("      <B>" . $nphp_config["SiteName"] . "</B><BR>\n");
    echo("      </FONT><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo("      " . $nphp_config["SiteDesc"] . "\n");
    echo("      </FONT>\n");
    echo("    </TD>\n");
    echo("    </TR>\n");
    echo("    <TR>\n");
    echo("    <TD BGCOLOR=\"#DDDDDD\">\n");
    echo("      <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo("      " . GenerateToolBar() . "\n");
    echo("      </FONT>\n");
    echo("    </TD>\n");
    echo("    </TR>\n");
    echo("    </TABLE>\n");
    echo("  </TD></TR>\n");
    echo("  </TABLE>\n");
    echo("</TD></TR>\n");
    echo("</TABLE>\n");
    echo("<BR>\n\n");
    echo("  <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">");
    echo("  " . $navibar . "\n");
    echo("  </FONT>\n");
    echo("<BR><BR>\n\n");
    echo("<TABLE WIDTH=\"100%\" CELLPADDING=\"2\" CELLSPACING=\"0\" BGCOLOR=\"#000000\">");
    echo("<TR BGCOLOR=\"#000000\"><TD BGCOLOR=\"#000000\">\n");
    echo("  <TABLE WIDTH=\"100%\" CELLPADDING=\"1\" CELLSPACING=\"0\" BGCOLOR=\"#FFFFFF\">\n");
    echo("  <TR BGCOLOR=\"#FFFFFF\"><TD BGCOLOR=\"#FFFFFF\">\n");
    echo("    <TABLE WIDTH=\"100%\" CELLPADDING=\"4\" CELLSPACING=\"1\">\n");
    echo("    <TR>\n");
    echo("    <TD BGCOLOR=\"#DDDDDD\">\n");
    echo("      <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("      <B>" . $page . "</B>\n");
    echo("      </FONT><BR>\n");
    echo("      <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo("      " . $pagedesc . "\n");
    echo("      </FONT>\n");
    echo("    </TD>\n");
    echo("    </TR>\n");
    echo("    <TR>\n");
    echo("    <TD BGCOLOR=\"#F7F7F7\">\n");
    echo("      <FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
  }

// This is the footer HTML, it is
// added after any main text.

  function HTMLFooter()
  {
    global $nphp_versions;
    echo("      </FONT>\n");
    echo("    </TD>\n");
    echo("    </TR>\n");
    echo("    </TABLE>\n");
    echo("  </TD></TR>\n");
    echo("  </TABLE>\n");
    echo("</TD></TR>\n");
    echo("</TABLE>\n");
    echo("<BR>\n");
    echo("<BR>\n");

    echo("<CENTER><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#909090\">\n");
    echo("<A HREF=\"http://www.nphp.net/\">newsPHP v" . $nphp_versions["nphp"] . "</A><BR>newsPHP &copy; 1999-2001 Ben O'Neill<BR>All rights reserved.\n");
    echo("<BR><BR><A HREF=\"http://www.nphp.net/\"><IMG SRC=\"http://www.nphp.net/versions.php?" . $nphp_versions["nphp"] . $nphp_versions["nphp2"] . "\" BORDER=\"0\"></A></FONT></CENTER>\n");

    echo("\n</TD></TR>\n");
    echo("</TABLE></CENTER>\n\n");
    echo("</BODY>\n");
    echo("</HTML>\n");
  }

// This does all the 1st time stuff

  function FirstTimeInstallSave()
  {
	  global $nphp_config,$nphp_notices,$nphp_common,$nphp_users, $ft_UserName, $ft_Password, $ft_Email;

	  $nphp_users[][0]     = stripslashes($ft_UserName);
      $cnt = count($nphp_users);
      $cnt--;
    
      $nphp_users[$cnt][1] = md5(stripslashes($ft_Password));
      $nphp_users[$cnt][2] = stripslashes($ft_Email);
      $nphp_users[$cnt][3] = 5;
      $nphp_users[$cnt][4] = "default";

	  $nphp_config["FirstTime"] = "";

	  SaveSettings($nphp_config, $nphp_users);
	  header("Location: http://www.nphp.net/software/installed.php");
  }

  function FirstTimeInstall()
  {
	  global $nphp_config,$nphp_notices,$nphp_common;

	  HTMLHeader("",$nphp_notices["FirstTime"],$nphp_notices["FirstTime_Desc"]);
	  if(isset($nphp_config["FirstTime"]))
	  {
		  echo($nphp_notices["FirstTime_Info"] . "<BR>");
	  }
	  else
	  {
		  echo($nphp_notices["FirstTime_Error"] . "<BR>");
	  }

    echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?ftsave" . $nphp_common["qline"] . "\">\n");
    echo("<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["UserName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"ft_UserName\" SIZE=\"25\" VALUE=\"\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Password"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"ft_Password\" SIZE=\"25\" VALUE=\"\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["EmailAddress"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"ft_Email\" SIZE=\"25\" VALUE=\"\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

	echo("</TABLE></FORM>");

	  HTMLFooter();
	  exit();
  }

// Modify news, it r0x0rs, you know it.

  function ShowModifyPage()
  {
	  global $nphp_common, $save, $nphp_currentuser, $nphp_notices, $nphp_files,$start,$max, $nphp_config, $history, $previous, $next;

      $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "\">" . $nphp_notices["ModNews"] . "</A> /";
      HTMLHeader($message,$nphp_notices["ModNews"],$nphp_notices["ModNews_Desc"]);

	  $newsdata = file($nphp_files["newdat"]);

	  if(!isset($max))
	  {
		  $max = 20;
	  }

	  if(!isset($history))
	  {
		  $history = 200;
	  }

	  $end = (count($newsdata) - 1 - $start) - $max;
	  
	  if($end < 0)
	  {
		  $end = -1;
	  }

	  if(!isset($start))
	  {
		  $start = 0;
	  }

	  if(strlen($previous) > 2)
	  {
		  $start = $start - $max;
		  if($start < 0) { $start = 0; }
	  }

	  if(strlen($next) > 2)
	  {
		  $start = $start + $max;
		  if($start < 0) { $start = 0; }
	  }

	  $num_posts = 0;
 if($save != 1)
 {

/*
// This is the old method of showing the posts
// the new method uses buttons at the bottom
// of the page.s


	 $cnt = floor(count($newsdata) / $max);
	 $leftovers = count($newsdata) - ($cnt * $max);
//	 $tmp = 0;
	 for($y=1; $y <= $cnt; $y++)
	 {
//		if($tmp < 20)
//		{
		 $info_line[] = "[<B><A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "&max=$max&start=" . (($y-1) * $max) . "\">" . ((($y-1) * $max)+1) . "</B> - <B>" . ($y * $max) . "</A></B>]";
		 $lastval = ($y * $max);
//		}
//       $tmp++;
	 }
	 $info_line[] = "[<B><A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "&max=$max&start=" . (($y-1) * $max) . "\">" . ($lastval + 1) . "</B> - <B>" . (($cnt * $max) + $leftovers) . "</A></B>]";


	 $info_data = implode(" ",$info_line);
	 echo("<CENTER>");
	 echo($info_data);
	 echo("</CENTER><BR>");
*/

	  $total_post_count = (count($newsdata) - 1);

	  for($i=(count($newsdata) - 1) - $start; $i > -1; $i--)
	  {
		if($num_posts < $max)
		{
		  if($nphp_currentuser[3] == 1)
		  {
			  // Level 1 User
			  $news_item_data = explode($nphp_common["confsep"],$newsdata[$i]);
			  if($news_item_data[1] == $nphp_currentuser[0])
			  {
				  $num_posts++;
				  // Subject : $news_item_data[3]
				  // NewsPost: $news_item_data[4]

				  echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?modify" . $nphp_common["qline"] . "&save=1&mid=" . $news_item_data[0] . "\">\n");
				  echo("<TABLE BORDER=\"0\" WIDTH=\"100%\">\n");
				  echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<B>" . $nphp_notices["Date"] . ":</B>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("<TD WIDTH=\"80%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo(MakeADate($nphp_config["DateFormat"], $news_item_data[0]) . "\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Subject"] . ":</B>\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"TEXT\" NAME=\"subject\" SIZE=\"25\" VALUE=\"" . stripslashes($news_item_data[3]) . "\">");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  $newspost = eregi_replace("\[NL\]","\n",stripslashes($news_item_data[4]));

				    if(isset($nphp_config["AllowHTML"]))
				    {
				      if($nphp_config["AllowHTML"] == 1)
					      {
					        $status = strtoupper($nphp_notices["On"]);
					      }
					      else
					      {
				        $status = strtoupper($nphp_notices["Off"]);
				      }
				    }
				    else
				    {
				     $status = strtoupper($nphp_notices["Off"]);
				    }

			      echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Message"] . ":</B><BR></FONT><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
  			      echo($nphp_notices["UseOfHTML"] . " <FONT COLOR=\"#FF0000\">" . $status . "</FONT><BR></FONT>\n");
  			      echo("</TD>\n");
  			      echo("<TD WIDTH=\"80%\">\n");
  			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<TEXTAREA NAME=\"message\" ROWS=\"7\" COLS=\"35\">" . $newspost . "</TEXTAREA>");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("&nbsp;\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\"><BR><INPUT TYPE=\"CHECKBOX\" NAME=\"delete\" VALUE=\"1\"> " . $nphp_notices["Remove"]);
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  echo("</TABLE>\n");
				  echo("</FORM>\n");
			  }
			  }
			  elseif($nphp_currentuser[3] == 4)
			  {
			  // Level 4 User
			  $news_item_data = explode($nphp_common["confsep"],$newsdata[$i]);
			  if($news_item_data[1] == $nphp_currentuser[0] || CheckLevel($news_item_data[1]) < 2)
			  {
				  $num_posts++;
				  // Subject : $news_item_data[3]
				  // NewsPost: $news_item_data[4]

				  echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?modify" . $nphp_common["qline"] . "&save=1&mid=" . $news_item_data[0] . "\">\n");
				  echo("<TABLE BORDER=\"0\" WIDTH=\"100%\">\n");

				  echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<B>" . $nphp_notices["PosterName"] . ":</B>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("<TD WIDTH=\"80%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<A HREF=\"mailto:" . stripslashes($news_item_data[2]) . "\">" . stripslashes($news_item_data[1]) . "</A>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("</TR>\n");

				  echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<B>" . $nphp_notices["Date"] . ":</B>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("<TD WIDTH=\"80%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo(MakeADate($nphp_config["DateFormat"], $news_item_data[0]) . "\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Subject"] . ":</B>\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"TEXT\" NAME=\"subject\" SIZE=\"25\" VALUE=\"" . stripslashes($news_item_data[3]) . "\">");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  $newspost = eregi_replace("\[NL\]","\n",stripslashes($news_item_data[4]));

				    if(isset($nphp_config["AllowHTML"]))
				    {
				      if($nphp_config["AllowHTML"] == 1)
					      {
					        $status = strtoupper($nphp_notices["On"]);
					      }
					      else
					      {
				        $status = strtoupper($nphp_notices["Off"]);
				      }
				    }
				    else
				    {
				     $status = strtoupper($nphp_notices["Off"]);
				    }

			      echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Message"] . ":</B><BR></FONT><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
  			      echo($nphp_notices["UseOfHTML"] . " <FONT COLOR=\"#FF0000\">" . $status . "</FONT><BR></FONT>\n");
  			      echo("</TD>\n");
  			      echo("<TD WIDTH=\"80%\">\n");
  			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<TEXTAREA NAME=\"message\" ROWS=\"7\" COLS=\"35\">" . $newspost . "</TEXTAREA>");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("&nbsp;\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\"><BR><INPUT TYPE=\"CHECKBOX\" NAME=\"delete\" VALUE=\"1\"> " . $nphp_notices["Remove"]);
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  echo("</TABLE>\n");
				  echo("</FORM>\n");
			  }
			  }
			  elseif($nphp_currentuser[3] == 5)
			  {
			  // Level 5 User
			  $news_item_data = explode($nphp_common["confsep"],$newsdata[$i]);
				  $num_posts++;
				  // Subject : $news_item_data[3]
				  // NewsPost: $news_item_data[4]

				  echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?modify" . $nphp_common["qline"] . "&save=1&mid=" . $news_item_data[0] . "\">\n");
				  echo("<TABLE BORDER=\"0\" WIDTH=\"100%\">\n");

				  echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<B>" . $nphp_notices["PosterName"] . ":</B>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("<TD WIDTH=\"80%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<A HREF=\"mailto:" . stripslashes($news_item_data[2]) . "\">" . stripslashes($news_item_data[1]) . "</A>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("</TR>\n");

				  echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<B>" . $nphp_notices["Date"] . ":</B>\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("<TD WIDTH=\"80%\">\n");
				  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo(MakeADate($nphp_config["DateFormat"], $news_item_data[0]) . "\n");
				  echo("</FONT>\n");
				  echo("</TD>\n");
				  echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Subject"] . ":</B>\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"TEXT\" NAME=\"subject\" SIZE=\"25\" VALUE=\"" . stripslashes($news_item_data[3]) . "\">");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  $newspost = eregi_replace("\[NL\]","\n",stripslashes($news_item_data[4]));

				    if(isset($nphp_config["AllowHTML"]))
				    {
				      if($nphp_config["AllowHTML"] == 1)
					      {
					        $status = strtoupper($nphp_notices["On"]);
					      }
					      else
					      {
				        $status = strtoupper($nphp_notices["Off"]);
				      }
				    }
				    else
				    {
				     $status = strtoupper($nphp_notices["Off"]);
				    }

			      echo("<TR>\n");
				  echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("<B>" . $nphp_notices["Message"] . ":</B><BR></FONT><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
  			      echo($nphp_notices["UseOfHTML"] . " <FONT COLOR=\"#FF0000\">" . $status . "</FONT><BR></FONT>\n");
  			      echo("</TD>\n");
  			      echo("<TD WIDTH=\"80%\">\n");
  			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
				  echo("<TEXTAREA NAME=\"message\" ROWS=\"7\" COLS=\"35\">" . $newspost . "</TEXTAREA>");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

			      echo("<TR>\n");
			      echo("<TD WIDTH=\"20%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
			      echo("&nbsp;\n");
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("<TD WIDTH=\"80%\">\n");
			      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
			      echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\"><BR><INPUT TYPE=\"CHECKBOX\" NAME=\"delete\" VALUE=\"1\"> " . $nphp_notices["Remove"]);
			      echo("</FONT>\n");
			      echo("</TD>\n");
			      echo("</TR>\n");

				  echo("</TABLE>\n");
				  echo("</FORM>\n");
			  
		  }
		}
	  }
	  echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?modify" . $nphp_common["qline"] . "&start=$start\">\n");
	  echo("<TABLE BORDER=\"0\" WIDTH=\"100%\">\n");

      echo("<TR>\n");
	  echo("<TD WIDTH=\"20%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
      echo("&nbsp;</FONT>\n");
      echo("</TD>\n");
      echo("<TD WIDTH=\"80%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

	  $prev = $nphp_notices["Previous"] . " " . $max . " " . $nphp_notices["NewsPosts"];
	  $prev_len = strlen($prev);

	  $next = $nphp_notices["Next"] . " " . $max . " " . $nphp_notices["NewsPosts"];
	  $next_len = strlen($next);

	 if($next_len > $prev_len)
	 {
		 $gen_len = floor(($next_len - $prev_len) / 2);
		 $oldprev = $prev;
		 $newprev = "";

		 for($c=0; $c < $gen_len; $c++)
		 {
			 $newprev .= " ";
		 }

		 $prev = $newprev . $oldprev;

		 for($c=0; $c < $gen_len; $c++)
		 {
			 $prev .= " ";
		 }
	 }
	 elseif($next_len < $prev_len)
	 {
		 $gen_len = floor(($prev_len - $next_len) / 2);
		 $oldnext = $next;
		 $newnext = "";

		 for($c=0; $c < $gen_len; $c++)
		 {
			 $newnext .= " ";
		 }

		 $next = $newnext . $oldnext;

		 for($c=0; $c < $gen_len; $c++)
		 {
			 $next .= " ";
		 }
	 }

	 if(($start+$max) >= $total_post_count)
	 {
		 // Don't show the NEXT button
	  echo("<INPUT TYPE=\"HIDDEN\" NAME=\"max\" VALUE=\"$max\"><INPUT TYPE=\"SUBMIT\" NAME=\"previous\" VALUE=\"$prev\">");
	 }
	 elseif($start == 0)
	 {
		 // Don't show PREVIOUS button
	  echo("<INPUT TYPE=\"HIDDEN\" NAME=\"max\" VALUE=\"$max\"><INPUT TYPE=\"SUBMIT\" NAME=\"next\" VALUE=\"$next\">");
	 }
	 else
	 {
		 // SHOW BOTH
	  echo("<INPUT TYPE=\"HIDDEN\" NAME=\"max\" VALUE=\"$max\"><INPUT TYPE=\"SUBMIT\" NAME=\"previous\" VALUE=\"$prev\"> <INPUT TYPE=\"SUBMIT\" NAME=\"next\" VALUE=\"$next\">");
	 }

      echo("</FONT>\n");
      echo("</TD>\n");
      echo("</TR>\n");

	  echo("</TABLE>\n");
	  echo("</FORM>\n");

 }
 else
 {
	 global $delete, $subject, $message, $mid;

	 // SAVE WHAT THEY DID.
	 if($delete == 1)
	 {
		 $news_data = file($nphp_files["newdat"]);
		 for($i=0; $i < count($news_data); $i++)
		 {
			 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$news_data[$i]));
			 if($news_item_data[0] == $mid)
			 {
				 // Post located
				 //   Check if user can change.

				 if($nphp_currentuser[3] == 1)
				 {
					 if($nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Alowed to delete.
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to delete.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_PostDeleted"]);
								 $newsdata[$p] = "";
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
					 }
				 }
				 elseif($nphp_currentuser[3] == 4)
				 {
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to delete.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_PostDeleted"]);
								 $newsdata[$p] = "";
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
				 }
				 elseif($nphp_currentuser[3] == 5)
				 {
					 // Allowed to delete.
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to delete.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_PostDeleted"]);
								 $newsdata[$p] = "";
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
				 }
				 else
				 {
					 echo("unrecognised level.");
				 }
			 }
		 }
	 }
	 else
	 {
		 $news_data = file($nphp_files["newdat"]);
		 for($i=0; $i < count($news_data); $i++)
		 {
			 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$news_data[$i]));
			 if($news_item_data[0] == $mid)
			 {
				 // Post located
				 //   Check if user can change.

				 if($nphp_currentuser[3] == 1)
				 {
					 if($nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Alowed to modify.
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to modify.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_ModComplete"]);
								 $news_item_data[3] = stripslashes(eregi_replace("\n","\[NL\]",$subject));
								 $news_item_data[4] = stripslashes(eregi_replace("\n","\[NL\]",$message));
								 $newsdata[$p] = implode($nphp_common["confsep"],$news_item_data);
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
					 }
				 }
				 elseif($nphp_currentuser[3] == 4)
				 {
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to modify.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_ModComplete"]);
								 $news_item_data[3] = stripslashes(eregi_replace("\n","\[NL\]",$subject));
								 $news_item_data[4] = stripslashes(eregi_replace("\n","\[NL\]",$message));
								 $newsdata[$p] = implode($nphp_common["confsep"],$news_item_data);
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
				 }
				 elseif($nphp_currentuser[3] == 5)
				 {
					 // Allowed to modify.
					 if(CheckLevel($news_item_data[1]) < $nphp_currentuser[3] || $nphp_currentuser[0] == $news_item_data[1])
					 {
						 // Allowed to modify.
						 for($p=0; $p < count($newsdata); $p++)
						 {
							 $news_item_data = explode($nphp_common["confsep"],eregi_replace("[\n\r]","",$newsdata[$p]));
							 if($news_item_data[0] == $mid)
							 {
								 $msg = eregi_replace("%SUBJECT%",$news_item_data[3],$nphp_notices["ModNews_ModComplete"]);
								 $news_item_data[3] = stripslashes(eregi_replace("\n","\[NL\]",$subject));
								 $news_item_data[4] = stripslashes(eregi_replace("\n","\[NL\]",$message));
								 $newsdata[$p] = implode($nphp_common["confsep"],$news_item_data);
								 SaveNewsDatabase($newsdata);
								 echo($msg);
							 }
						 }
					 }
				 }
				 else
				 {
					 echo("unrecognised level.");
				 }
			 }
		 }
	 }
 }
/*
	  echo("<BR><BR><TABLE BORDER=\"0\" WIDTH=\"100%\">\n");

	  echo("<TR>\n");
	  echo("<TD WIDTH=\"20%\">\n");
	  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
	  echo("&nbsp;\n");
	  echo("</FONT>\n");
	  echo("</TD>\n");
	  echo("<TD WIDTH=\"80%\">\n");
	  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
	  echo("<B><A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "&max=$max&start=$back_newstart\">&nbsp;&nbsp;&lt;&lt;&nbsp;&nbsp;</A>&nbsp;&nbsp;&nbsp;<A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "&max=$max&start=$forward_newstart\">&nbsp;&nbsp;&gt;&gt;&nbsp;&nbsp;</A></B>\n");
	  echo("</FONT>\n");
	  echo("</TD>\n");
	  echo("</TR>\n");

	  echo("</TABLE>\n");
*/
      HTMLFooter();
	  exit();
  }

// This function creates the toolbar
// for the user

  function GenerateToolBar()
  {
    global $nphp_currentuser, $nphp_config,$nphp_notices,$nphp_common,$nphp_extensions;
    $output = "";

    if($nphp_currentuser[3] == -1)
    {
      return "";
    }
    else
    {
    // User is logged in.

     $output .= "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> | <A HREF=\"nphpd.php?post" . $nphp_common["qline"] . "\">" . $nphp_notices["PostNews"] . "</A> | <A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "\">" . $nphp_notices["ModNews"] . "</A> | <A HREF=\"nphpd.php?output" . $nphp_common["qline"] . "\">" . $nphp_notices["OutputNews"] . "</A> | <A HREF=\"nphpd.php?profile" . $nphp_common["qline"] . "\">" . $nphp_notices["URProfile"] . "</A>";

     if($nphp_currentuser[3] == 5)
     {
       $output .= " | <A HREF=\"nphpd.php?settings" . $nphp_common["qline"] . "\">" . $nphp_notices["Settings"] . "</A>";
     }

     if($nphp_currentuser[3] > 3)
     {
       $output .= " | <A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A>";
     }

     for($i=0; $i < count($nphp_extensions); $i++)
     {
       if($nphp_extensions[$i][4] == 1 && $nphp_currentuser[3] >= $nphp_extensions[$i][3])
       {
         $output .= " | <A HREF=\"nphpd.php?" . $nphp_extensions[$i][6] . $nphp_common["qline"] . "\">" . $nphp_extensions[$i][1] . "</A>";
       }
     }

     $output .= " | <A HREF=\"nphpd.php?logout" . $nphp_common["qline"] . "\">" . $nphp_notices["Logout"] . "</A>";

     return $output;
    }

  }

// The wonderful help

  function ShowHelp()
  {
	  global $nphp_config, $page, $nphp_notices;

	  if($page == "dateinserts")
	  {
		  echo("<HTML>\n");
		  echo("<TITLE>newsPHP " . $nphp_notices["Help"] . "</TITLE>");
		  echo("<BODY BGCOLOR=\"#FFFFFF\" TEXT=\"#000000\" LINK=\"#0052AC\" VLINK=\"#0052AC\" ALINK=\"#0052AC\">\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"3\" COLOR=\"#000000\">\n");
		  echo("<CENTER><B>newsPHP " . $nphp_notices["Help"] . "</B></CENTER>\n");
		  echo("</FONT><BR>\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\"><BR>\n");

    		  echo("<CENTER><TABLE BORDER=\"1\" WIDTH=\"100%\" CELLPADDING=\"3\" CELLSPACING=\"0\">\n");

            $date_settings[0][0] = "<ampm>";
            $date_settings[0][1] = "am or pm";

			$date_settings[1][0] = "<AMPM>";
            $date_settings[1][1] = "AM or PM";

			$date_settings[2][0] = "<Hour12a>";
            $date_settings[2][1] = "12 hour format, eg. 08 or 11";

            $date_settings[3][0] = "<Hour12b>";
            $date_settings[3][1] = "12 hour format, eg. 8 or 11";

			$date_settings[4][0] = "<Hour24a>";
            $date_settings[4][1] = "24 hour format, eg. 08 or 23";

			$date_settings[5][0] = "<Hour24b>";
            $date_settings[5][1] = "24 hour format, eg. 8 or 23";

            $date_settings[6][0] = "<Minutes>";
            $date_settings[6][1] = "Minutes, eg. 08 or 54";

            $date_settings[7][0] = "<Seconds>";
            $date_settings[7][1] = "Seconds, eg. 01 or 54";

            $date_settings[8][0] = "<Year2Digits>";
            $date_settings[8][1] = "Year, eg. 98 or 01";

            $date_settings[9][0] = "<Year4Digits>";
            $date_settings[9][1] = "Year, eg. 1998 or 2001";

            $date_settings[10][0] = "<DOW3CharText>";
            $date_settings[10][1] = "Day of the week, eg. Mon or Fri";

            $date_settings[11][0] = "<DOWText>";
            $date_settings[11][1] = "Day of the week, eg. Monday or Friday";

            $date_settings[12][0] = "<DOWNumbers>";
            $date_settings[12][1] = "Day of the week, eg. 0 (Sunday) - 6 (Saturday)";

			$date_settings[13][0] = "<DOM2Digits>";
            $date_settings[13][1] = "Day of the month, eg. 01 or 31";

			$date_settings[14][0] = "<DayOfMonth>";
            $date_settings[14][1] = "Day of the month, eg. 1 or 31";

			$date_settings[15][0] = "<MonthNumberA>";
            $date_settings[15][1] = "Month, eg. 01 or 12";

			$date_settings[16][0] = "<MonthNumberB>";
            $date_settings[16][1] = "Month, eg. 1 or 12";

			$date_settings[17][0] = "<3LetterMonth>";
            $date_settings[17][1] = "Month, eg. Jan or Dec";

			$date_settings[18][0] = "<Month>";
            $date_settings[18][1] = "Month, eg. January or December";

			$date_settings[19][0] = "<MonthLength>";
            $date_settings[19][1] = "Length of month in days, eg. 31 or 30";

			$date_settings[20][0] = "<SSE>";
            $date_settings[20][1] = "Seconds since epoch (1st Jan 1970)";

			$date_settings[21][0] = "<OrdinalPrefix>";
            $date_settings[21][1] = "Ordinal prefix, eg. th or st";

			  for($i=0; $i < count($date_settings); $i++)
			  {
			  echo("<TR>\n");
			  echo("<TD WIDTH=\"40%\">\n");
	  		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\">\n");
			  echo("<B><CENTER>" . stripslashes(htmlentities($date_settings[$i][0])) . "</CENTER></B>\n");
			  echo("</FONT>\n");
			  echo("</TD>\n");
			  echo("<TD WIDTH=\"60%\">\n");
	  		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\">\n");
			  echo(stripslashes($date_settings[$i][1]) . "\n");
			  echo("</FONT>\n");
			  echo("</TD>\n");
		      echo("</TR>\n");
		      }

		      echo("</TABLE></CENTER>\n");

		  echo("</FONT><BR><BR>\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#808080\">\n");
		  echo("newsPHP Help System<BR><A HREF=\"http://www.nphp.net\" TARGET=\"_blank\">http://www.nphp.net</A>\n");
		  echo("</FONT>");
		  echo("</HTML>\n");
	  }
	  else
	  {
		  echo("<HTML>\n");
		  echo("<TITLE>newsPHP " . $nphp_notices["Help"] . "</TITLE>");
		  echo("<BODY BGCOLOR=\"#FFFFFF\" TEXT=\"#000000\" LINK=\"#0052AC\" VLINK=\"#0052AC\" ALINK=\"#0052AC\">\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"3\" COLOR=\"#000000\">\n");
		  echo("<CENTER><B>newsPHP Help</B></CENTER>\n");
		  echo("</FONT><BR>\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\">\n");
		  echo($nphp_notices["HELP_NotFound"] . "\n");
		  echo("</FONT><BR><BR>\n");
		  echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#808080\">\n");
		  echo("newsPHP Help System<BR><A HREF=\"http://www.nphp.net\" TARGET=\"_blank\">http://www.nph.net</A>\n");
		  echo("</FONT>");
		  echo("</HTML>\n");
	  }
  }

// Save Settings Page

  function ShowSaveSettingsPage()
  {
	global $nphp_config, $nphp_notices,$nphp_common,$nphp_languages, $nphp_currentuser, $nphp_users, $nphp_settings,$HTTP_POST_VARS;
	$message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?settings" . $nphp_common["qline"] . "\">" . $nphp_notices["Settings"] . "</A> /";

	HTMLHeader($message,$nphp_notices["Settings"],$nphp_notices["Settings_Desc"]);

      for(reset($HTTP_POST_VARS); $key = key($HTTP_POST_VARS); next($HTTP_POST_VARS))
	  {
		  if(substr($key,0,4) == "set_")
		  {
			  $newkey = substr($key, 4, strlen($key) - 4);
			  $nphp_config[$newkey] = $HTTP_POST_VARS[$key];
		  }
	  }

	  SaveSettings($nphp_config, $nphp_users);
	  echo($nphp_notices["Settings_Saved"]);

	HTMLFooter();
  }

// Settings page

  function ShowSettingsPage()
  {
    global $nphp_config, $nphp_notices,$nphp_common,$nphp_languages, $nphp_currentuser, $nphp_users, $nphp_settings;
    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?settings" . $nphp_common["qline"] . "\">" . $nphp_notices["Settings"] . "</A> /";

    HTMLHeader($message,$nphp_notices["Settings"],$nphp_notices["Settings_Desc"]);

	echo("<A HREF=\"#\" ONCLICK=\"window.open('nphpd.php?help" . $nphp_common["qline"] . "&page=dateinserts" . $nphp_common["qline"] . "','nphphelpwin','innerWidth=350,innerHeight=420,width=350,height=420,scrollbars=yes')\">" . $nphp_notices["ClickHere"] . "</A> " . $nphp_notices["DateInserts"]);
    echo("<BR><FORM METHOD=\"POST\" ACTION=\"nphpd.php?setsave" . $nphp_common["qline"] . "\">\n");
    echo("<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_Site"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_SiteName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_SiteName\" SIZE=\"25\" VALUE=\"" . $nphp_config["SiteName"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_SiteDesc"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_SiteDesc\" SIZE=\"25\" VALUE=\"" . $nphp_config["SiteDesc"] . "\" MAXLENGTH=\"150\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_SiteURL"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_SiteURL\" SIZE=\"25\" VALUE=\"" . $nphp_config["SiteURL"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_Date"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_DateOffset"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["DateOffset"] != 0)
    {
     $value = $nphp_config["DateOffset"];
    }
    else
    {
     $value = "+0";
    }

    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_DateOffset\" SIZE=\"25\" VALUE=\"" . $value . "\" MAXLENGTH=\"3\"><BR>\n");
    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_DateOffset_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_DateFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_DateFormat\" SIZE=\"25\" VALUE=\"" . $nphp_config["DateFormat"] . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_DateFormat_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_Headlines"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_GenerateHeadlines"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["GenerateHeadlines"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_GenerateHeadlines\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_GenerateHeadlines\" VALUE=\"0\"> " . $nphp_notices["No"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_GenerateHeadlines\" VALUE=\"1\"> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_GenerateHeadlines\" VALUE=\"0\" CHECKED> " . $nphp_notices["No"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_AutoLink_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_HeadLimitNumber"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_HeadLimitNumber\" SIZE=\"25\" VALUE=\"" . $nphp_config["HeadLimitNumber"] . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_HeadLimitNumber_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_DateFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_HeadlineDateFormat\" SIZE=\"25\" VALUE=\"" . $nphp_config["HeadlineDateFormat"] . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_HeadDateFormat_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_HeadFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_HeadFormat\" SIZE=\"25\" VALUE=\"" . htmlentities($nphp_config["HeadFormat"]) . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_HeadFormat_Desc"] . htmlentities(" <NewsDate>, <NewsSubject>, <NewsEmail>, <NewsUser>, <NewsText>") . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_News"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_AutoLink"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["AutoLink"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_AutoLink\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_AutoLink\" VALUE=\"0\"> " . $nphp_notices["No"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_AutoLink\" VALUE=\"1\"> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_AutoLink\" VALUE=\"0\" CHECKED> " . $nphp_notices["No"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_AutoLink_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_AllowHTML"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["AllowHTML"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_AllowHTML\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_AllowHTML\" VALUE=\"0\"> " . $nphp_notices["No"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_AllowHTML\" VALUE=\"1\"> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_AllowHTML\" VALUE=\"0\" CHECKED> " . $nphp_notices["No"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_AllowHTML_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_ShowDateOnce"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["ShowDateOnce"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_ShowDateOnce\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_ShowDateOnce\" VALUE=\"0\"> " . $nphp_notices["No"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_ShowDateOnce\" VALUE=\"1\"> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_ShowDateOnce\" VALUE=\"0\" CHECKED> " . $nphp_notices["No"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_ShowDateOnce_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_FullDateFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<TEXTAREA NAME=\"set_FullDateFormat\" ROWS=\"3\" COLS=\"35\">" . htmlentities(stripslashes($nphp_config["FullDateFormat"])) . "</TEXTAREA><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_FullDateFormat_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_NewsDateFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_NewsDateFormat\" SIZE=\"25\" VALUE=\"" . stripslashes($nphp_config["NewsDateFormat"]) . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_NewsDateFormat_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_NewsFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<TEXTAREA NAME=\"set_NewsFormat\" ROWS=\"3\" COLS=\"35\">" . eregi_replace("\[NL\]","\n",htmlentities(stripslashes($nphp_config["NewsFormat"]))) . "</TEXTAREA></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\"><BR>\n");
	echo(htmlentities(" <NewsDate>, <NewsSubject>, <NewsEmail>, <NewsUser>, <NewsText>"));
	echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Language"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<SELECT NAME=\"set_NewsLanguage\" SIZE=\"1\">\n");
    echo("<OPTION VALUE=\"default\">Default Language</OPTION>\n");

	global $nphp_languages;

    for($u=0; $u < count($nphp_languages); $u++)
    {
	 if($nphp_config["NewsLanguage"] == $nphp_languages[$u][0])
	 {
       echo("<OPTION VALUE=\"" . $nphp_languages[$u][0] . "\" SELECTED>" . $nphp_languages[$u][1] . "</OPTION>\n");
	 }
	 else
     {
       echo("<OPTION VALUE=\"" . $nphp_languages[$u][0] . "\">" . $nphp_languages[$u][1] . "</OPTION>\n");
	 }
    }

    echo("</SELECT>\n");
	echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_Archive"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_NewsLimitNumber"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_NewsLimitNumber\" SIZE=\"25\" VALUE=\"" . $nphp_config["NewsLimitNumber"] . "\"><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_NewsLimitNumber_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_NewsLimitDate"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

	$options = "";
	if($nphp_config["NewsLimitDateType"] == 1) {  $options  .= "<option value=\"1\" SELECTED>" . $nphp_notices["DATE_Days"] . "</option>\n";  } else {  $options  .= "<option value=\"1\">" . $nphp_notices["DATE_Days"] . "</option>\n";  }
	if($nphp_config["NewsLimitDateType"] == 2) {  $options  .= "<option value=\"2\" SELECTED>" . $nphp_notices["DATE_Weeks"] . "</option>\n";  } else {  $options  .= "<option value=\"2\">" . $nphp_notices["DATE_Weeks"] . "</option>\n";  }
	if($nphp_config["NewsLimitDateType"] == 3) {  $options  .= "<option value=\"3\" SELECTED>" . $nphp_notices["DATE_Years"] . "</option>\n";  } else {  $options  .= "<option value=\"3\">" . $nphp_notices["DATE_Years"] . "</option>\n";  }

    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_NewsLimitDate\" SIZE=\"25\" VALUE=\"" . $nphp_config["NewsLimitDate"] . "\"><SELECT NAME=\"set_NewsLimitDateType\">$options</SELECT><br></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_NewsLimitDate_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_ArchiveType"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["ArchiveType"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_ArchiveType\" VALUE=\"1\" CHECKED> " . $nphp_notices["Number"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_ArchiveType\" VALUE=\"0\"> " . $nphp_notices["Age"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_ArchiveType\" VALUE=\"1\"> " . $nphp_notices["Number"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_ArchiveType\" VALUE=\"0\" CHECKED> " . $nphp_notices["Age"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_ArchiveType_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["Sets_Tit_Email"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_EmailUpdates"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

    if($nphp_config["EmailUpdates"] == 1)
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_EmailUpdates\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_EmailUpdates\" VALUE=\"0\"> " . $nphp_notices["No"] . "<BR>\n");
    }
    else
    {
      echo("<INPUT TYPE=\"RADIO\" NAME=\"set_EmailUpdates\" VALUE=\"1\"> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"set_EmailUpdates\" VALUE=\"0\" CHECKED> " . $nphp_notices["No"] . "<BR>\n");
    }

    echo("</FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_EmailUpdates_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_DateFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_EmailDateFormat\" SIZE=\"25\" VALUE=\"" . $nphp_config["EmailDateFormat"] . "\"></FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["EmailAddress"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"set_EmailReplyAddress\" SIZE=\"25\" VALUE=\"" . $nphp_config["EmailReplyAddress"] . "\"></FONT><BR>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Sets_EmailReplyAddress_Desc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Sets_EmailFormat"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<TEXTAREA NAME=\"set_EmailFormat\" ROWS=\"3\" COLS=\"35\">" . eregi_replace("\[NL\]","\n",htmlentities(stripslashes($nphp_config["EmailFormat"]))) . "</TEXTAREA></FONT>\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\"><BR>\n");
	echo(htmlentities(" <NewsDate>, <NewsSubject>, <NewsEmail>, <NewsUser>, <NewsText>"));
	echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    if(count($nphp_settings) > 0)
    {
      echo("<TR>\n");
      echo("<TD COLSPAN=\"3\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
      echo("&nbsp;\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("</TR>\n");

      echo("<TR>\n");
      echo("<TD COLSPAN=\"3\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
      echo("<B>" . $nphp_notices["Sets_Tit_Exten"] . "</B>\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("</TR>\n");

      for($i=0; $i < count($nphp_settings); $i++)
      {

        if(isset($nphp_config[$nphp_settings[$i]["SettingName"]]))
        {
          $value = $nphp_config[$nphp_settings[$i]["SettingName"]];
        }
        else
        {
          $value = $nphp_settings[$i]["DefaultValue"];
        }

        echo("<TR>\n");
        echo("<TD WIDTH=\"5%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("&nbsp;\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_settings[$i]["DisplayName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"75%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<INPUT TYPE=\"TEXT\" NAME=\"set_" . $nphp_settings[$i]["SettingName"] . "\" SIZE=\"25\" VALUE=\"" . $value . "\"></FONT><BR>\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
        echo($nphp_settings[$i]["Description"] . "\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }

    }

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"75%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\">\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("</TABLE></FORM>");

    HTMLFooter();
  }

// Created a user page

  function ShowUserCreateSavePage()
  {
    global $add_username, $add_password, $add_language, $add_level, $nphp_config, $nphp_common, $nphp_users, $nphp_notices, $add_contact, $nphp_currentuser, $add_email, $mode, $rem_username;
   if($mode == "addsave")
   {
    if(isset($add_username) && isset($add_password) && isset($add_language) && isset($add_level))
    {

      $nphp_users[][0] = eregi_replace($nphp_common["confsep"],"",stripslashes($add_username));
      $cnt = count($nphp_users)-1;

      $nphp_users[$cnt][1] = md5(stripslashes($add_password));

      if($add_level > $nphp_currentuser[3])
      {
       $add_level = 1;
      }

      $nphp_users[$cnt][2] = stripslashes($add_email);
      $nphp_users[$cnt][3] = $add_level;
      $nphp_users[$cnt][4] = stripslashes($add_language);

      SaveSettings($nphp_config, $nphp_users);

      if($add_contact == 1)
      {
        $body = eregi_replace("<UserName>", stripslashes($add_username), $nphp_config["NewUserContactMsg"]);
        $body = eregi_replace("<Password>", stripslashes($add_password), $body);
        $body = eregi_replace("\[NL\]", "\n", $body);
        mail(stripslashes($add_email), "Welcome to newsPHP", $body, "From: " . $nphp_currentuser[0] . " <" . $nphp_currentuser[2] . ">");
      }

      $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A> /";
      HTMLHeader($message,$nphp_notices["Users"],$nphp_notices["Users_Desc2"]);

      echo($nphp_notices["UserWorking"]);

      if($add_contact == 1)
      {
        echo(" " . $nphp_notices["UserContact"]);
      }

      HTMLFooter();
    }
    else
    {
      $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A> /";
      HTMLHeader($message,$nphp_notices["Users"],$nphp_notices["Users_Desc"]);
      echo($nphp_notices["UserFailed"]);
      HTMLFooter();
    }
   }
   elseif($mode = "remsave")
   {
     $removedata = explode($nphp_common["confsep"],$rem_username);
     for($i=0; $i < count($nphp_users); $i++)
     {
       if($nphp_users[$i][0] == $removedata[0] && $nphp_users[$i][2] == $removedata[1] && $nphp_users[$i][3] == $removedata[2])
       {
         $nphp_users[$i][0] = "";
       }
     }

     SaveSettings($nphp_config, $nphp_users);

      $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A> /";
      HTMLHeader($message,$nphp_notices["Users"],$nphp_notices["Users_Desc2"]);
      echo($nphp_notices["UserRemoved"]);
      HTMLFooter();

   }
  }

// Show the users page

  function ShowUsersPage()
  {
    global $nphp_config, $nphp_notices,$nphp_common,$nphp_languages, $nphp_currentuser, $nphp_users;
    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A> /";

    HTMLHeader($message,$nphp_notices["Users"],$nphp_notices["Users_Desc"]);

    echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?usersave" . $nphp_common["qline"] . "&mode=addsave\">\n");
    echo("<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["AddUser"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["UserName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"add_username\" SIZE=\"25\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Password"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"add_password\" SIZE=\"25\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["EmailAddress"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"add_email\" SIZE=\"25\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Language"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<SELECT NAME=\"add_language\" SIZE=\"1\">\n");
    echo("<OPTION VALUE=\"default\" SELECTED>Default Language</OPTION>\n");

    for($u=0; $u < count($nphp_languages); $u++)
    {
     echo("<OPTION VALUE=\"" . $nphp_languages[$u][0] . "\">" . $nphp_languages[$u][1] . "</OPTION>\n");
    }

    echo("</SELECT>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["AccessLevel"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<SELECT NAME=\"add_level\">\n");
    echo("<OPTION VALUE=\"1\">" . $nphp_notices["LVL_NewsPoster"] . "</OPTION>\n");
    echo("<OPTION VALUE=\"4\">" . $nphp_notices["LVL_AdvPoster"] . "</OPTION>\n");

   if($nphp_currentuser[3] > 4)
   {
    echo("<OPTION VALUE=\"5\">" . $nphp_notices["LVL_Admin"] . "</OPTION>\n");
   }

    echo("</SELECT>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["ContactUser"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"RADIO\" NAME=\"add_contact\" VALUE=\"1\" CHECKED> " . $nphp_notices["Yes"] . " <INPUT TYPE=\"RADIO\" NAME=\"add_contact\" VALUE=\"0\"> " . $nphp_notices["No"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Create"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("</TABLE>\n");
    echo("</FORM>\n");

    echo($nphp_notices["AboutCtactUser"]);

    echo("<BR><FORM METHOD=\"POST\" ACTION=\"nphpd.php?usersave" . $nphp_common["qline"] . "&mode=remsave\">\n");
    echo("<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>" . $nphp_notices["RemUser"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["UserName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<SELECT NAME=\"rem_username\" SIZE=\"1\">\n");

    for($u=0; $u < count($nphp_users); $u++)
    {
    if($nphp_currentuser[3] != 5)
    {
     if($nphp_users[$u][3] < $nphp_currentuser[3])
     {
      echo("<OPTION VALUE=\"" . $nphp_users[$u][0] . $nphp_common["confsep"] . $nphp_users[$u][2] . "\">" . $nphp_users[$u][0] . $nphp_common["confsep"] . $nphp_users[$u][3] . " [" . $nphp_users[$u][3] . "]</OPTION>\n");
     }
    }
    else
    {
      echo("<OPTION VALUE=\"" . $nphp_users[$u][0] . $nphp_common["confsep"] . $nphp_users[$u][2] . $nphp_common["confsep"] . $nphp_users[$u][3] . "\">" . $nphp_users[$u][0] . " [" . $nphp_users[$u][3] . "]</OPTION>\n");
    }
    }

    echo("</SELECT>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"5%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"18%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"77%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Remove"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("</TABLE>\n");
    echo("</FORM>\n");

    HTMLFooter();
  }

// This is the HTML for the login page.

  function ShowLoginPage()
  {
    global $nphp_notices,$nphp_common;

    $message = "<A HREF=\"nphpd.php?" . $nphp_common["qline"] . "\">" . $nphp_notices["Login"] . "</A> /";
    HTMLHeader($message,$nphp_notices["Login_Header"],$nphp_notices["Login_Desc"]);

    echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?login" . $nphp_common["qline"] . "\">\n");
    echo("<TABLE BORDER=\"0\" CELLPADDING=\"3\" CELLSPACING=\"0\">\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["UserName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"uname\" SIZE=\"25\">\n");
    echo("</TD></TR>\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Password"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"PASSWORD\" NAME=\"pword\" SIZE=\"25\">\n");
    echo("</TD></TR>\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\">\n");
    echo("</TD></TR>\n");

    echo("</FORM></TABLE>\n");
    echo("\n");

    HTMLFooter();
    exit();
  }

// Show the first welcome page after
// the user has just logged in.

  function ShowWelcomePage()
  {
    global $nphp_notices,$nphp_common;

    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> /";
    HTMLHeader($message,$nphp_notices["Welcome"],$nphp_notices["Welcome_Desc"]);

    echo($nphp_notices["Login_Success"]);
    echo("<BR>\n");
    echo("<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["MainPage"] . "</A>");

    HTMLFooter();
  }

// Display the edit your
// profile page.

  function ShowProfilePage()
  {
    global $nphp_notices,$nphp_common, $nphp_currentuser, $nphp_extensions, $nphp_languages, $save;

    if($save != 1)
    {
    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?profile" . $nphp_common["qline"] . "\">" . $nphp_notices["URProfile"] . "</A> /";
    HTMLHeader($message,$nphp_notices["URProfile"],$nphp_notices["URProfile_Desc"]);

    echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?profile" . $nphp_common["qline"] . "&save=1\">\n");
    echo("<TABLE BORDER=\"0\" CELLPADDING=\"3\" CELLSPACING=\"0\">\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["EmailAddress"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"email\" SIZE=\"25\" VALUE=\"" . $nphp_currentuser[2] . "\">\n");
    echo("</TD></TR>\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Password"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"password\" SIZE=\"25\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo($nphp_notices["PasswordVisible"] . "\n");
    echo("</FONT>\n");
    echo("</TD></TR>\n");

// $nphp_languages

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Language"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<SELECT NAME=\"language\" SIZE=\"1\">\n");

    if(strtolower($nphp_currentuser[4]) == "default")
    {
      echo("<OPTION VALUE=\"default\" SELECTED>Default Language</OPTION>\n");
    }
    else
    {
      echo("<OPTION VALUE=\"default\">Default Language</OPTION>\n");
    }

    for($u=0; $u < count($nphp_languages); $u++)
    {
     if(strtolower($nphp_currentuser[4]) == strtolower($nphp_languages[$u][0]))
     {
       echo("<OPTION VALUE=\"" . $nphp_languages[$u][0] . "\" SELECTED>" . $nphp_languages[$u][1] . "</OPTION>\n");
     }
     else
     {
       echo("<OPTION VALUE=\"" . $nphp_languages[$u][0] . "\">" . $nphp_languages[$u][1] . "</OPTION>\n");
     }
    }

    echo("</SELECT>\n");
    echo("</TD></TR>\n");

    echo("<TR><TD ALIGN=\"RIGHT\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD><TD>\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\">\n");
    echo("</TD></TR>\n");

    echo("</FORM></TABLE>\n");
    echo("\n");

    HTMLFooter();
    exit();
    }
    else
    {
      global $nphp_users, $nphp_config, $email, $language, $password;

      for($s=0; $s < count($nphp_users); $s++)
      {
        if($nphp_users[$s][0] == $nphp_currentuser[0] && $nphp_users[$s][1] == md5($nphp_currentuser[1]))
        {
         if(stripslashes($password) != "")
         {
          $nphp_users[$s][1] = md5(stripslashes($password));

          if($nphp_common["cookses"] == 1)
          {
            setcookie("uname","x",time() + 1);
            setcookie("pword","x",time() + 1);
          }
          else
          {
            session_unregister("uname");
            session_unregister("pword");
          }

         }

          $nphp_users[$s][2] = stripslashes($email);
          $nphp_users[$s][4] = stripslashes($language);
        }
      }

      SaveSettings($nphp_config, $nphp_users);

    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?profile" . $nphp_common["qline"] . "\">" . $nphp_notices["URProfile"] . "</A> /";
    HTMLHeader($message,$nphp_notices["URProfile"],$nphp_notices["URProfile_Desc"]);
    echo($nphp_notices["ProfileSaved"]);
    HTMLFooter();

    }
  }

// Show the post news page

  function ShowPostPage()
  {
    global $nphp_notices,$nphp_common, $nphp_currentuser, $nphp_submitfields, $save, $nphp_config;

   if($save != 1)
   {
    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?post" . $nphp_common["qline"] . "\">" . $nphp_notices["PostNews"] . "</A> / ";
    HTMLHeader($message,$nphp_notices["PostNews"],$nphp_notices["PostNews_Desc"]);

    echo("<FORM METHOD=\"POST\" ACTION=\"nphpd.php?post" . $nphp_common["qline"] . "&save=1\"><TABLE BORDER=\"0\" WIDTH=\"100%\" CELLPADDING=\"3\" CELLSPACING=\"0\">");

    echo("<TR>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["PosterName"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<A HREF=\"MAILTO:" . $nphp_currentuser[2] . "\">" . $nphp_currentuser[0] . "</A>");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    $date = GetTheDate("DateFormat");

    echo("<TR>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Date"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($date);
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Subject"] . ":</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"TEXT\" NAME=\"subject\" SIZE=\"25\" VALUE=\"\">");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    if(isset($nphp_config["AllowHTML"]))
    {
      if($nphp_config["AllowHTML"] == 1)
      {
        $status = strtoupper($nphp_notices["On"]);
      }
      else
      {
        $status = strtoupper($nphp_notices["Off"]);
      }
    }
    else
    {
     $status = strtoupper($nphp_notices["Off"]);
    }

    echo("<TR>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["Message"] . ":</B><BR></FONT><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">" . $nphp_notices["UseOfHTML"] . " <FONT COLOR=\"#FF0000\">" . $status . "</FONT>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<TEXTAREA NAME=\"message\" ROWS=\"7\" COLS=\"35\"></TEXTAREA>");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    for($i=0; $i < count($nphp_submitfields); $i++)
    {
      if($nphp_submitfields[$i]["Type"] == 1)
      {
        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<INPUT TYPE=\"TEXT\" NAME=\"" . $nphp_submitfields[$i]["Name"] . "\" SIZE=\"25\" VALUE=\"" . $nphp_submitfields[$i]["DefaultValue"] . "\">");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
      elseif($nphp_submitfields[$i]["Type"] == 2)
      {
        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<TEXTAREA NAME=\"" . $nphp_submitfields[$i]["Name"] . "\" ROWS=\"7\" COLS=\"35\">" . $nphp_submitfields[$i]["DefaultValue"] . "</TEXTAREA>");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
      elseif($nphp_submitfields[$i]["Type"] == 3)
      {

        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<SELECT NAME=\"" . $nphp_submitfields[$i]["Name"] . "\">");

        for($z=0; $z < count($nphp_submitfields[$i]["Values"]); $z++)
        {
          $selected = "";
          if($z == 0)
          {
           $selected = " SELECTED";
          }
          echo("<OPTION VALUE=\"" . $nphp_submitfields[$i]["Values"][$z]["Value"] . "\"" . $selected . ">" . $nphp_submitfields[$i]["Values"][$z]["Text"] . "</OPTION>");
        }

        echo("</SELECT>");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
      elseif($nphp_submitfields[$i]["Type"] == 4)
      {

        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");

        for($z=0; $z < count($nphp_submitfields[$i]["Values"]); $z++)
        {
          $selected = "";
          if($z == 0)
          {
           $selected = " CHECKED";
          }
          echo("<INPUT TYPE=\"RADIO\" NAME=\"" . $nphp_submitfields[$i]["Name"] . "\" VALUE=\"" . $nphp_submitfields[$i]["Values"][$z]["Value"] . "\"" . $selected . "> " . $nphp_submitfields[$i]["Values"][$z]["Text"] . " ");
        }
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
      elseif($nphp_submitfields[$i]["Type"] == 5)
      {
        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<INPUT TYPE=\"CHECKBOX\" NAME=\"" . $nphp_submitfields[$i]["Name"] . "\" VALUE=\"" . $nphp_submitfields[$i]["DefaultValue"] . "\">");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
      else
      {
        echo("<TR>\n");
        echo("<TD WIDTH=\"20%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<B>" . $nphp_submitfields[$i]["ShowName"] . ":</B>\n");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("<TD WIDTH=\"80%\">\n");
        echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
        echo("<INPUT TYPE=\"FILE\" NAME=\"" . $nphp_submitfields[$i]["Name"] . "\">");
        echo("</FONT>\n");
        echo("</TD>\n");
        echo("</TR>\n");
      }
    }

    echo("<TR>\n");
    echo("<TD WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"1\" COLOR=\"#000000\">\n");
    echo("<INPUT TYPE=\"SUBMIT\" VALUE=\"" . $nphp_notices["Submit"] . "\"> <INPUT TYPE=\"RESET\" VALUE=\"" . $nphp_notices["Reset"] . "\">\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("</TABLE></FORM>");

    HTMLFooter();
   }
   else
   {
     global $subject, $message,$HTTP_POST_VARS, $nphp_functions,$nphp_files;

       $post_message = $message;

	   if($nphp_config["AllowHTML"] == 0)
	   {
		   $post_message = StripHTML($post_message);
	   }

	   if($nphp_config["AutoLink"] == 1)
	   {
		   $post_message = AutoLink($post_message);
	   }

      if(isset($nphp_functions))
	  {
	   for($i = 0; $i < count($nphp_functions); $i++)
	   {
//		   CheckFunctionAndRun($nphp_functions[$i], NPHP_POSTNEWS);
/*
=================================
The following piece of code 
caused much stress and death 
during the creating of newsPHP.
=================================
*/
	  if($nphp_functions[$i][1] & NPHP_POSTNEWS)
      {
		  $args = "";

		  for($c=0; $c < count($nphp_functions[$i][2]); $c++)
		  {
		   if($nphp_functions[$i][2][$c][0] == 1)
		   {
            eval('global $' . $nphp_functions[$i][2][$c][1] . ';');
		   }
			$args .= '$' . $nphp_functions[$i][2][$c][1];

			if($c < count($nphp_functions[$i][2])-1)
			{
				$args .= ", ";
		    }
		  }

		  eval($nphp_functions[$i][0] . '(' . $args . ');');
		  echo("<!-- Executing Function [" . $nphp_functions[$i][0] . "(" . $args . ")] -->\n");
	  }
/*
=================================
*/
	   }
	  }

	 // SSE<~>poster<~>email<~>subject<~>message<~>extra<::>value<~>extra<::>value...
	 $data_save[0] = date("U");
	 $data_save[1] = $nphp_currentuser[0];
	 $data_save[2] = $nphp_currentuser[2];
	 $data_save[3] = stripslashes(eregi_replace("\n","\[NL\]",$subject));
	 $data_save[4] = stripslashes(eregi_replace("\n","\[NL\]",$post_message));
     $cnt = 5;

       for($x = 0; $x < count($nphp_submitfields); $x++)
	   {
		   $output = $HTTP_POST_VARS[$nphp_submitfields[$x]["Name"]];
		   $data_save[$cnt] = $nphp_submitfields[$x]["Name"] . "<::>" . eregi_replace("[" . $nphp_common["confsep"] . "\<::>]","",$output);
		   $cnt++;
	   }

 	   if($nphp_config["EmailUpdates"] == 1)
	   {
	     SendEmail($nphp_files["maillist"],$data_save);
	   }

     $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?post" . $nphp_common["qline"] . "\">" . $nphp_notices["PostNews"] . "</A> / ";
     HTMLHeader($message,$nphp_notices["PostNews"],$nphp_notices["PostNews_Desc"]);

	 if(AddNewsItem($data_save))
	   {
           echo($nphp_notices["PostSaved"]);
	   }
	   else
	   {
		   echo($nphp_notices["PostNotSaved"]);
	   }

	 HTMLFooter();
   }
  }

// Show the output page

  function ShowOutputPage()
  {
	  global $nphp_common, $nphp_notices, $nphp_config, $nphp_files;

	  $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> / <A HREF=\"nphpd.php?output" . $nphp_common["qline"] . "\">" . $nphp_notices["OutputNews"] . "</A> / ";
	  HTMLHeader($message,$nphp_notices["OutputNews"],$nphp_notices["OutputNews_Desc"]);

	  OutputTheNews($nphp_files["newdat"]);

	  HTMLFooter();
  }

// Show the logout page

  function ShowLogoutPage()
  {
    global $nphp_notices,$nphp_common, $nphp_currentuser;

    if($nphp_common["cookses"] == 1)
    {
      setcookie("uname","",time());
      setcookie("pword","",time());
    }
    else
    {
      $p = session_get_cookie_params();
      setcookie(session_name(), "", time(), $p["path"], $p["domain"]);
      session_unregister("uname");
      session_unregister("pword");
    }

    $nphp_common["qline"] = "";

    $message = "<A HREF=\"nphpd.php?main\">" . $nphp_notices["Login"] . "</A> /";
    HTMLHeader($message,$nphp_notices["Logout"],$nphp_notices["Logout_Desc"]);

    echo($nphp_notices["Logout_Info"]);

    HTMLFooter();
  }

// Display the main page

  function ShowMainPage()
  {
    global $nphp_notices,$nphp_common, $nphp_currentuser, $nphp_extensions;

    $message = "<A HREF=\"nphpd.php?main" . $nphp_common["qline"] . "\">" . $nphp_notices["Home"] . "</A> /";
    HTMLHeader($message,$nphp_notices["Home"],$nphp_notices["Home_Desc"]);

    echo("<TABLE BORDER=\"0\" CELLPADDING=\"3\" WIDTH=\"100%\" CELLSPACING=\"1\">\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B><A HREF=\"nphpd.php?post" . $nphp_common["qline"] . "\">" . $nphp_notices["PostNews"] . "</A></B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_notices["PostNews_Text"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B><A HREF=\"nphpd.php?modify" . $nphp_common["qline"] . "\">" . $nphp_notices["ModNews"] . "</A></B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_notices["ModNews_Text" . $nphp_currentuser[3]] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B><A HREF=\"nphpd.php?output" . $nphp_common["qline"] . "\">" . $nphp_notices["OutputNews"] . "</A></B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_notices["OutputNews_Text"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B><A HREF=\"nphpd.php?profile" . $nphp_common["qline"] . "\">" . $nphp_notices["URProfile"] . "</A></B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_notices["URProfile_Text"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");


    if($nphp_currentuser[3] == 5)
    {
      echo("<TR>\n");
      echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
      echo("<B><A HREF=\"nphpd.php?settings" . $nphp_common["qline"] . "\">" . $nphp_notices["Settings"] . "</A></B>\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
      echo($nphp_notices["Settings_Text"] . "\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("</TR>\n");
    }

    if($nphp_currentuser[3] > 3)
    {
      echo("<TR>\n");
      echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
      echo("<B><A HREF=\"nphpd.php?users" . $nphp_common["qline"] . "\">" . $nphp_notices["Users"] . "</A></B>\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
      echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
      echo($nphp_notices["Users_Text"] . "\n");
      echo("</FONT>\n");
      echo("</TD>\n");
      echo("</TR>\n");
    }

     for($i=0; $i < count($nphp_extensions); $i++)
     {
       if($nphp_extensions[$i][5] == 1 && $nphp_currentuser[3] >= $nphp_extensions[$i][3])
       {
         echo("<TR>\n");
         echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
         echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
         echo("<B><A HREF=\"nphpd.php?" . $nphp_extensions[$i][6] . $nphp_common["qline"] . "\">" . $nphp_extensions[$i][1] . "</A></B>\n");
         echo("</FONT>\n");
         echo("</TD>\n");
         echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
         echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
         echo($nphp_extensions[$i][2] . "\n");
         echo("</FONT>\n");
         echo("</TD>\n");
         echo("</TR>\n");
       }
     }

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B><A HREF=\"nphpd.php?logout" . $nphp_common["qline"] . "\">" . $nphp_notices["Logout"] . "</A></B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_notices["Logout_Text"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("&nbsp;\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["CurrentUser"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_currentuser[0] . " [<A HREF=\"MAILTO:" . $nphp_currentuser[2] . "\">" . $nphp_currentuser[2] . "</A>]\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    $date = MakeADate("<DOWText> <DayOfMonth><OrdinalPrefix> <Month>, <Year4Digits> at <Hour24a>:<Minutes>",time());

    echo("<TR>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"20%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>" . $nphp_notices["CurrentTime"] . "</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD BGCOLOR=\"#F7F7F7\" WIDTH=\"80%\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($date . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

    echo("</TABLE>\n");
    echo("\n");

    HTMLFooter();
  }

?>