<?php

/*
////////////////////////////////////////////////////
//                  NewsPHP v200                  //
//               http://www.nphp.net/             //
//                                                //
// Installation --------------------------------- //
//   Please see the "readme.txt" file for details //
//   on how to install NewsPHP.                   //
//                                                //
// Introduction --------------------------------- //
//   NewsPHP is a news posting system for web     //
//   sites. It allows for multiple users of       //
//   different access levels to post news onto    //
//   your web site without them knowing any FTP   //
//   information or even having any knowledge in  //
//   HTML. They simply login and type their post! //
//                                                //
// Copyright ------------------------------------ //
//   NewsPHP is copyright (C) 1999-2001           //
//   the newsPHP Development Team and Ben         //
//   O'Neill. All rights reserved. You may not    //
//   redestribute this file without written       //
//   permission from the copyright holders. You   //
//   may not use this script on any web site with //
//   commercial or pornographic content. If you   //
//   wish to use this script on a commercial web  //
//   site you must obtain a registration number   //
//   (these are totally free) from the nPHP site. //
//   If you display banners this does not         //
//   necessarily mean you must obtain a           //
//   registration number.                         //
//                                                //
// Contact Information -------------------------- //
//   For support please only use the forums on    //
//   the web site and the official support email  //
//   address. Support emails to any of the nPHP   //
//   development team will be ignored.            //
//                                                //
//       nPHP Official Support                    //
//        support@nphp.net                        //
//                                                //
//                                   www.nphp.net //
////////////////////////////////////////////////////
*/

$nphp_versions["nlang"] = 200;

$nphp_notices["CharSet"] = "windows-1252"; // Example: windows-1257 or ISO-LATIN-7

/*
// Date and Time ---------------------------------
//   This version of newsPHP allows you to set
//   what days and months are called since so 
//   many people asked for it!
*/

$nphp_notices["DATE_Hours"]			= "Hours";
$nphp_notices["DATE_Minutes"]		= "Minutes";
$nphp_notices["DATE_Seconds"]		= "Seconds";
$nphp_notices["DATE_Days"]			= "Days";
$nphp_notices["DATE_Weeks"]			= "Weeks";
$nphp_notices["DATE_Years"]			= "Years";

$nphp_notices["DATE_DayOfWeek3CharText_0"] = "Sun";
$nphp_notices["DATE_DayOfWeek3CharText_1"] = "Mon";
$nphp_notices["DATE_DayOfWeek3CharText_2"] = "Tue";
$nphp_notices["DATE_DayOfWeek3CharText_3"] = "Wed";
$nphp_notices["DATE_DayOfWeek3CharText_4"] = "Thu";
$nphp_notices["DATE_DayOfWeek3CharText_5"] = "Fri";
$nphp_notices["DATE_DayOfWeek3CharText_6"] = "Sat";


$nphp_notices["DATE_DayOfWeekText_0"] = "Sunday";
$nphp_notices["DATE_DayOfWeekText_1"] = "Monday";
$nphp_notices["DATE_DayOfWeekText_2"] = "Tuesday";
$nphp_notices["DATE_DayOfWeekText_3"] = "Wednesday";
$nphp_notices["DATE_DayOfWeekText_4"] = "Thursday";
$nphp_notices["DATE_DayOfWeekText_5"] = "Friday";
$nphp_notices["DATE_DayOfWeekText_6"] = "Saturday";


$nphp_notices["DATE_3Month_1"]  = "Jan";
$nphp_notices["DATE_3Month_2"]  = "Feb";
$nphp_notices["DATE_3Month_3"]  = "Mar";
$nphp_notices["DATE_3Month_4"]  = "Apr";
$nphp_notices["DATE_3Month_5"]  = "May";
$nphp_notices["DATE_3Month_6"]  = "Jun";
$nphp_notices["DATE_3Month_7"]  = "Jul";
$nphp_notices["DATE_3Month_8"]  = "Aug";
$nphp_notices["DATE_3Month_9"]  = "Sep";
$nphp_notices["DATE_3Month_10"] = "Oct";
$nphp_notices["DATE_3Month_11"] = "Nov";
$nphp_notices["DATE_3Month_12"] = "Dec";

$nphp_notices["DATE_Month_1"]   = "January";
$nphp_notices["DATE_Month_2"]   = "February";
$nphp_notices["DATE_Month_3"]   = "March";
$nphp_notices["DATE_Month_4"]   = "April";
$nphp_notices["DATE_Month_5"]   = "May";
$nphp_notices["DATE_Month_6"]   = "June";
$nphp_notices["DATE_Month_7"]   = "July";
$nphp_notices["DATE_Month_8"]   = "August";
$nphp_notices["DATE_Month_9"]   = "September";
$nphp_notices["DATE_Month_10"]  = "October";
$nphp_notices["DATE_Month_11"]  = "November";
$nphp_notices["DATE_Month_12"]  = "December";

/*
// Extreme Errors --------------------------------
//   These are errors that occur before the 
//   custom language file has been loaded, or they
//   will 100% stop the running of the script.
*/

$nphp_notices["error_incompat"]     = "I'm sorry one or more of your files are incompatible with this version of newsPHP.";
$nphp_notices["error_404"]          = "A file was not found. nPHP cannot continue without all it's files.";
$nphp_notices["UnableToOpenConfig"] = "I was unable to open the configuration file. Please check you have CHMODed the file correctly and that it exists.";

/*
// Settings Messages -----------------------------
//   These are all used on the settings page.
*/

$nphp_notices["Sets_Tit_Site"]				= "Site Settings";
$nphp_notices["Sets_SiteName"]				= "Site Name";
$nphp_notices["Sets_SiteDesc"]				= "Site Description";
$nphp_notices["Sets_SiteURL"]				= "Site URL";

$nphp_notices["Sets_Tit_Date"]				= "Date and Time Settings";
$nphp_notices["Sets_DateOffset"]			= "Time Offset";
$nphp_notices["Sets_DateOffset_Desc"]		= "Number of hours +/- to adjust the time so it is in your time zone.<BR>Current Time: " . date("H:i") . " on " . date("l jS F, Y");
$nphp_notices["Sets_DateFormat"]			= "Date Format";
$nphp_notices["Sets_DateFormat_Desc"]		= "This is only used in your news when Show Date Once is on. This is used on the major date post.";

$nphp_notices["Sets_Tit_Headlines"]			= "Headline Settings";
$nphp_notices["Sets_GenerateHeadlines"]		= "Enable Headlines";
$nphp_notices["Sets_HeadFormat"]			= "Headline Format";
$nphp_notices["Sets_HeadFormat_Desc"]		= "The format of headlines. Availiable inserts:";
$nphp_notices["Sets_HeadLimitNumber"]		= "Headline Limit";
$nphp_notices["Sets_HeadLimitNumber_Desc"]	= "Maximum number of headlines to show.";
$nphp_notices["Sets_HeadDateFormat_Desc"]	= "Format of the date on your headlines.";
$nphp_notices["Sets_NewsFormat"]			= "News Format";

$nphp_notices["Sets_Tit_News"]				= "News Settings";
$nphp_notices["Sets_AutoLink"]				= "Auto Linking";
$nphp_notices["Sets_AutoLink_Desc"]			= "Convert URLs and e-mail addresses into links.";
$nphp_notices["Sets_AllowHTML"]				= "Allow HTML";
$nphp_notices["Sets_AllowHTML_Desc"]		= "Allow news posters to use HTML in their posts.";
$nphp_notices["Sets_ShowDateOnce"]			= "Show Date Once";
$nphp_notices["Sets_ShowDateOnce_Desc"]		= "Display the full date above all posts on that same day.";
$nphp_notices["Sets_FullDateFormat"]		= "Full HTML Format";
$nphp_notices["Sets_FullDateFormat_Desc"]	= "This is only used when Show Date Once is turned on.";
$nphp_notices["Sets_NewsDateFormat"]		= "Date Format";
$nphp_notices["Sets_NewsDateFormat_Desc"]	= "The format of the date put on posts. If '" . $nphp_notices["Sets_ShowDateOnce"] . "' is on, then this should be shortened.";

$nphp_notices["Sets_Tit_Archive"]			= "Archiving Settings";
$nphp_notices["Sets_NewsLimitNumber"]		= "Limit by Number";
$nphp_notices["Sets_NewsLimitNumber_Desc"]	= "Maximum number of posts to display on your page.";
$nphp_notices["Sets_NewsLimitDate"]			= "Limit by Date";
$nphp_notices["Sets_NewsLimitDate_Desc"]	= "Maximum age of posts to display on your page.";
$nphp_notices["Sets_ArchiveType"]			= "Archive Type";
$nphp_notices["Sets_ArchiveType_Desc"]		= "Achiving done by age of post, or by number of posts.";

$nphp_notices["Sets_Tit_Email"]				= "Email Settings";
$nphp_notices["Sets_EmailUpdates"]			= "Email Updates";
$nphp_notices["Sets_EmailUpdates_Desc"]		= "Email the mailing list when new news is posted.";
$nphp_notices["Sets_EmailReplyAddress_Desc"]= "The e-mail address that appears in the From section of emails sent.";
$nphp_notices["Sets_EmailFormat"]			= "Email Format";

$nphp_notices["Sets_Tit_Exten"]				= "Extension Settings";

/*
// General Messages ------------------------------
//   These messages are all around nPHP.
*/

$nphp_notices["Date"]           = "Date";
$nphp_notices["Age"]            = "Age";
$nphp_notices["Number"]         = "Number";
$nphp_notices["Submit"]         = "Submit";
$nphp_notices["Reset"]          = "Reset";
$nphp_notices["MainPage"]       = "newsPHP Main Page";
$nphp_notices["EmailAddress"]   = "E-mail Address";
$nphp_notices["Language"]       = "Language";
$nphp_notices["ProfileSaved"]   = "Your profile has been saved. If you have changed your password you will need to login again.";
$nphp_notices["Subject"]        = "Subject";
$nphp_notices["Message"]        = "Message";
$nphp_notices["On"]             = "ON";
$nphp_notices["Off"]            = "OFF";
$nphp_notices["Yes"]            = "Yes";
$nphp_notices["No"]             = "No";
$nphp_notices["UserName"]       = "User Name";
$nphp_notices["Password"]       = "Password";
$nphp_notices["PosterName"]     = "Poster Name";
$nphp_notices["Date"]           = "Date";
$nphp_notices["Remove"]         = "Remove";
$nphp_notices["Create"]         = "Create";
$nphp_notices["CurrentUser"]    = "Current User";
$nphp_notices["CurrentTime"]    = "Current Time";
$nphp_notices["AccessLevel"]    = "Access Level";
$nphp_notices["ClickHere"]      = "Click Here";
$nphp_notices["Previous"]		= "Previous";
$nphp_notices["Next"]			= "Next";
$nphp_notices["NewsPosts"]		= "News Posts";

$nphp_notices["Building"]					= "Building";
$nphp_notices["Build_Complete"]				= "News building has been completed.";
$nphp_notices["Build_Unable2Open"]			= "<B>Error</B>: Unable to open the news file for writing.";
$nphp_notices["Build_Unable2OpenHead"]		= "<B>Error</B>: Unable to open the headlines file for writing.";
$nphp_notices["Build_Unable2OpenArc"]		= "<B>Error</B>: Unable to open the archive file for writing.";

$nphp_notices["PasswordVisible"]			= "* Your password will be visible on this form.";

$nphp_notices["DateInserts"]				= "for a list of availiable inserts that you may use in any of the settings on this page that are called 'Date Format'.";

$nphp_notices["FirstTime"]					= "First-Time Setup";
$nphp_notices["FirstTime_Desc"]				= "Configuring newsPHP for the first time.";
$nphp_notices["FirstTime_Info"]				= "Please enter a username and password for your new Administrator account on newsPHP.";
$nphp_notices["FirstTime_Error"]			= "This doesn't appear to be the first time this has been run. You may have accidently deleted all your users. If you did, simply enter a new administrator username and password.";

$nphp_notices["Home"]						= "Home";
$nphp_notices["Home_Desc"]					= "Please select an option from the list.";

$nphp_notices["Welcome"]					= "Welcome!";
$nphp_notices["Welcome_Desc"]				= "You have been logged in.";

$nphp_notices["Categories"]					= "Categories";
$nphp_notices["Categories_Desc"]			= "Allows management of multiple news files/categories";

$nphp_notices["PostNews"]					= "Post News";
$nphp_notices["PostNews_Desc"]				= "Please fill in all the fields below, then click the '" . $nphp_notices["Submit"] . "' button.";
$nphp_notices["PostNews_Text"]				= "Post some news into the database.";
$nphp_notices["UseOfHTML"]					= "The use of HTML in messages has been turned";
$nphp_notices["Preview"]					= "Preview news post before posting.";
$nphp_notices["PostSaved"]					= "Your news post has been saved into the database.";
$nphp_notices["PostNotSaved"]				= "Unable to save your post!";

$nphp_notices["ModNews"]					= "Modify News";
$nphp_notices["ModNews_Desc"]				= "Modify news that has been posted.";
$nphp_notices["ModNews_Text1"]				= "Modify some news you have previously posted.";
$nphp_notices["ModNews_Text2"]				= "Modify some news you or level 1 users have previously posted.";
$nphp_notices["ModNews_Text3"]				= "Modify some news you or anyone with level 1 or 2 access has previously posted.";
$nphp_notices["ModNews_Text4"]				= "Modify some news you or anyone with a lower access level than you has previously posted.";
$nphp_notices["ModNews_Text5"]				= "Modify some news that anyone has previously posted.";
$nphp_notices["ModNews_ModComplete"]		= "Your modifications to the post titled '%SUBJECT%' have been completed.";
$nphp_notices["ModNews_PostDeleted"]		= "The post titled '%SUBJECT%' has been deleted.";

$nphp_notices["OutputNews"]					= "Output News";
$nphp_notices["OutputNews_Text"]			= "Save the news in the database to the text file.";
$nphp_notices["OutputNews_Desc"]			= "The news files are being rebuilt based on information in the database.";

$nphp_notices["URProfile"]					= "Your Profile";
$nphp_notices["URProfile_Desc"]				= "Please enter your email address below. If you do not want to change your password, leave it blank.";
$nphp_notices["URProfile_Text"]				= "Change your email address, language or password.";

$nphp_notices["Settings"]					= "Settings";
$nphp_notices["Settings_Desc"]				= "Make your changes below and click '" . $nphp_notices["Submit"] . "'";
$nphp_notices["Settings_Text"]				= "Modify general script settings.";
$nphp_notices["Settings_CannotSave"]		= "Unable to save your settings.";
$nphp_notices["Settings_Saved"]				= "Your settings have been updated successfully.";

$nphp_notices["Users"]						= "Manage Users";
$nphp_notices["Users_Text"]					= "Create, modify or remove users from newsPHP.";
$nphp_notices["Users_Desc"]					= "To create a new user fill in thier details and click '" . $nphp_notices["Create"] . "'. To remove a user select them from the list and click '" . $nphp_notices["Remove"] . "'.";
$nphp_notices["Users_Desc2"]				= "Your user updates have been saved.";
$nphp_notices["AddUser"]					= "Add a User";
$nphp_notices["LVL_NewsPoster"]				= "News Poster";
$nphp_notices["LVL_AdvPoster"]				= "Advanced Poster";
$nphp_notices["LVL_Admin"]					= "Administrator";
$nphp_notices["ContactUser"]				= "Contact User";
$nphp_notices["AboutCtactUser"]				= "'<I>" . $nphp_notices["ContactUser"] . "</I>' means email the new user with their details and give them a brief introduction to the use of newsPHP.";
$nphp_notices["UserFailed"]					= "The user could not be added because you forgot to fill in some of their details. Please hit your browsers back button and try again.";
$nphp_notices["UserWorking"]				= "The user has been added into newsPHP.";
$nphp_notices["UserContact"]				= "The user will be emailed with the details you entered and a short summary of how to use newsPHP.";
$nphp_notices["RemUser"]					= "Remove a User";
$nphp_notices["UserRemoved"]				= "The user has been removed from newsPHP.";

$nphp_notices["Logout"]						= "Logout";
$nphp_notices["Logout_Text"]				= "Log yourself out of newsPHP.";
$nphp_notices["Logout_Desc"]				= "You have been logged out of newsPHP.";
$nphp_notices["Logout_Info"]				= "You have successfully logged out of newsPHP. Before you can use the script again you will need to login.";

$nphp_notices["Login"]						= "Login";
$nphp_notices["Login_Header"]				= "newsPHP Login";
$nphp_notices["Login_Desc"]					= "Please enter your username and password for newsPHP.";
$nphp_notices["Login_Success"]				= "You have successfully been logged into newsPHP! Please click the link below to visit the main page.";

$nphp_notices["Glossary"]					= "Glossary";
$nphp_notices["UseGlossary"]				= "Use Glossary";
$nphp_notices["Glossary_Desc"]				= "Allows you to replace certain text with other text.";

$nphp_notices["DateNotSet"]					= "Date Settings Not Set";

$nphp_notices["Help"]						= "Help";
$nphp_notices["HELP_NotFound"]				= "I'm sorry the help page you asked for could not be found.";
?>